<Project Sdk="Microsoft.NET.Sdk">
  <PropertyGroup>
    <TargetFrameworks>netstandard2.0</TargetFrameworks>
    <LangVersion>latest</LangVersion>
    <GeneratePackageOnBuild>false</GeneratePackageOnBuild>
    <PackageId>Tede.Data.Data</PackageId>
    <Version>1.0.0</Version>
    <PackageVersion>1.0.0</PackageVersion>
    <Authors>Tede Data</Authors>
    <Company>Tede Data</Company>
    <Product>Tede Data</Product>
    <Description>Reference this library if you want to develop a Tede Data plugin.</Description>
    <PackageLicense>GPL-3.0</PackageLicense>
    <PackageProjectUrl>https://github.com/siteserver/SiteServer.Plugin</PackageProjectUrl>
    <PackageIconUrl>https://www.siteserver.cn/assets/images/favicon.png</PackageIconUrl>
    <Copyright>Copyright © Tede Data 2019</Copyright>
    <PackageTags>Tede Data Plugin</PackageTags>
    <RepositoryUrl>https://github.com/siteserver/cms</RepositoryUrl>
    <PackageRequireLicenseAcceptance>false</PackageRequireLicenseAcceptance>
    <PackageReleaseNotes>Add netstandard2.0 support</PackageReleaseNotes>
  </PropertyGroup>
  <ItemGroup>
    <Compile Remove="Connection.cs" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="Microsoft.Extensions.DependencyInjection.Abstractions" Version="3.0.0" />
    <PackageReference Include="System.ComponentModel.Annotations" Version="4.6.0" />
    <PackageReference Include="System.Data.SQLite.Core" Version="1.0.111" />
    <PackageReference Include="Dapper" Version="2.0.4" />
    <PackageReference Include="Microsoft.CSharp" Version="4.6.0" />
    <PackageReference Include="MySql.Data" Version="8.0.17" />
    <PackageReference Include="Newtonsoft.Json" Version="12.0.2" />
    <PackageReference Include="Npgsql" Version="4.0.10" />
    <PackageReference Include="SqlKata" Version="1.1.7" />
    <PackageReference Include="System.Data.SqlClient" Version="4.7.0" />
    <PackageReference Include="System.ValueTuple" Version="4.5.0" />
    <PackageReference Include="Oracle.ManagedDataAccess.Core" Version="2.19.31" />
  </ItemGroup>

</Project>